Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
Interface ConfigurableFileCollection

    org.gradle.api.file.FileCollection
      org.gradle.api.file.ConfigurableFileCollection

All Superinterfaces:
  FileCollection

    interface ConfigurableFileCollection
    extends FileCollection

A `ConfigurableFileCollection` is a mutable `FileCollection`.

You can obtain an instance of `ConfigurableFileCollection` by calling org.gradle.api.Project#files(Object...)

Method Summary
`ConfigurableFileCollection` | `builtBy(java.lang.Object tasks)` Registers some tasks which build the files of this collection.
`ConfigurableFileCollection` | `from(java.lang.Object paths)` Adds a set of files to this collection.
`Set` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
`ConfigurableFileCollection` | `setBuiltBy(java.lang.Iterable tasks)` Sets the tasks which build the files of this collection.

Methods inherited from interface FileCollection
add, addToAntBuilder, addToAntBuilder, asType, getAsFileTree, getAsPath, getFiles, getSingleFile, plus, stopExecutionIfEmpty

Methods inherited from interface java.lang.Iterable
iterator

Methods inherited from class java.lang.Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Method Detail

### builtBy

    public ConfigurableFileCollection builtBy(java.lang.Object tasks)

  Registers some tasks which build the files of this collection.
  param:
    tasks The tasks. These are evaluated as for org.gradle.api.Task#dependsOn(Object...).
  return:
    this

### from

    public ConfigurableFileCollection from(java.lang.Object paths)

  Adds a set of files to this collection. The given paths are evaluated as for org.gradle.api.Project#files(Object...).
  param:
    paths The files to add.
  return:
    this

### getBuiltBy

    public Set getBuiltBy()

  Returns the set of tasks which build the files of this collection.
  return:
    The set. Returns an empty set when there are no such tasks.

### setBuiltBy

    public ConfigurableFileCollection setBuiltBy(java.lang.Iterable tasks)

  Sets the tasks which build the files of this collection.
  param:
    tasks The tasks. These are evaluated as for org.gradle.api.Task#dependsOn(Object...).
  return:
    this

Groovy Documentation